Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class GravityConstrainedFlowLayout

    java.lang.Object
      org.eclipse.draw2d.AbstractLayout
          org.eclipse.draw2d.AbstractHintLayout
              org.eclipse.draw2d.ToolbarLayout
                  org.eclipse.gmf.runtime.draw2d.ui.figures.ConstrainedToolbarLayout
                      org.eclipse.gmf.runtime.draw2d.ui.figures.GravityConstrainedFlowLayout

All Implemented Interfaces:
  LayoutManager

    public class GravityConstrainedFlowLayout

extends ConstrainedToolbarLayout

Field Summary

Fields inherited from class org.eclipse.draw2d.ToolbarLayout
`ALIGN_BOTTOMRIGHT, ALIGN_CENTER, ALIGN_TOPLEFT, horizontal, HORIZONTAL, matchWidth, minorAlignment, spacing, transposer, VERTICAL`

Fields inherited from class org.eclipse.draw2d.AbstractLayout
`isObservingVisibility, preferredSize`

Constructor Summary
`GravityConstrainedFlowLayout()`

Method Summary
`GravityDirectionType` `getGravity()` Method getGravity used for this layout
`void` `setGravity(GravityDirectionType gravity)` Method setGravity will update the gravity used for the layout.

Methods inherited from class org.eclipse.gmf.runtime.draw2d.ui.figures.ConstrainedToolbarLayout
`calculateMinimumSize, calculatePreferredSize, getConstraint, getIgnoreInvisibleChildren, getStretchMajorAxis, isReversed, layout, remove, setConstraint, setIgnoreInvisibleChildren, setReversed, setStretchMajorAxis`

Methods inherited from class org.eclipse.draw2d.ToolbarLayout
`getChildMinimumSize, getChildPreferredSize, getMinorAlignment, getSpacing, getStretchMinorAxis, isHorizontal, isSensitiveHorizontally, isSensitiveVertically, setMatchWidth, setMinorAlignment, setSpacing, setStretchMinorAxis, setVertical`

Methods inherited from class org.eclipse.draw2d.AbstractHintLayout
`getMinimumSize, getPreferredSize, invalidate`

Methods inherited from class org.eclipse.draw2d.AbstractLayout
`calculatePreferredSize, getBorderPreferredSize, getMinimumSize, getPreferredSize, invalidate, isObservingVisibility, setObserveVisibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GravityConstrainedFlowLayout

    public GravityConstrainedFlowLayout()

Method Detail

### setGravity

    public void setGravity(GravityDirectionType gravity)

  Method setGravity will update the gravity used for the layout.
  For example if the gravity is set to EAST for a figure that has 3
  children [1][2][3] then the children
  will be layout out as follows [3][2][1]. If ther gravity is North then
  the same figure children wil be laid out as follow:
  [1]
  [2]
  [3]
  with the child figure [1] at the top.

  Parameters:
    `gravity` - the enumeration `GravityDirectionType` indicating which direction the flow layout is oriented.

### getGravity

    public GravityDirectionType getGravity()

  Method getGravity used for this layout

  Returns:
    GravityDirectionType

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.